#include "../system/fsmanip.h"

#include "util_temp_very_base.h"
#include "geom.h"
#include "util_temp_geom.h"
#include "pixel_masses.h"

#include "some_tests.h"
#include "util_temp_vulkan.h"
#include "margaret/margaret_misc.h"
#include "marie/graphics_geom.h"
#include "liza.h"
#include "embassy_l1_5.h"
#include "margaret/png_pixel_masses.h"
#include "lucy.h"
#include "alice.h"

int main() {
    mkdir_nofail("l1");
    mkdir_nofail("l1/eve");
    generate_util_temp_very_base_headers();
    generate_geom_header();
    generate_util_temp_geom_headers();
    generate_pixel_masses_header();
    generate_headers_for_r0_r1_r2_r3();
    generate_util_templ_inst_for_vulkan_headers();
    generate_marie_headers_for_graphics_geom();
    generate_liza_l1_headers();
    generate_l1_headers_for_l1_5();
    generate_margaret_eve_for_vulkan_utils(); /* margaret misc */
    generate_margaret_png_pixel_masses_header();
    generate_l1_lucy_headers();
    generate_code_for_alice_on_l1();
    finish_layer(cstr("l1"));
    return 0;
}
